Package org.apache.sysds.runtime.controlprogram.paramserv.dp

# Class KeepDataOnWorkerFederatedScheme

java.lang.Object
org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionFederatedScheme
org.apache.sysds.runtime.controlprogram.paramserv.dp.KeepDataOnWorkerFederatedScheme

public class KeepDataOnWorkerFederatedScheme extends DataPartitionFederatedScheme
Keep Data on Worker Federated scheme When the parameter server runs in federated mode it cannot pull in the data which is already on the workers. All entries in the federation map of the input matrix are separated into MatrixObjects and returned as a list. Only supports row federated matrices atm.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionFederatedScheme

`DataPartitionFederatedScheme.BalanceMetrics, DataPartitionFederatedScheme.Result`

## Constructor Summary

Constructors
Constructor
Description
`KeepDataOnWorkerFederatedScheme()`

## Method Summary

Modifier and Type
Method
Description
`DataPartitionFederatedScheme.Result`
`partition(MatrixObject features, MatrixObject labels, int seed)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KeepDataOnWorkerFederatedScheme

public KeepDataOnWorkerFederatedScheme()

## Method Details

### partition

public DataPartitionFederatedScheme.Result partition(MatrixObject features, MatrixObject labels, int seed)

Specified by:
  `partition` in class `DataPartitionFederatedScheme`